Skip to main content

Gets the trusted browser list

GET /v1/userbrowser/list

Summary

Gets the trusted browser list.

Details

Returns trusted browser records for the authenticated user.

Authentication

No operation-level security requirement is documented here.

Parameters

None documented here.

Request Body

No request body is documented here.

Responses

200

Success

application/json

  • array of UserBrowser
    • key (integer (int64), optional)
    • browserName (string, optional)
    • browserDescription (string, optional)
    • userAgent (string, optional)
    • remoteIPAddress (string, optional)
    • forwardedFor (string, optional)
    • realIP (string, optional)
    • lastSignInDate (string (date-time), optional)
    • location (string, optional)
    • browserGUIDHash (string, optional)
    • isTrustedBrowser (boolean, optional)
    • creationDate (string (date-time), optional)

Example

[
{
"key": 1,
"browserName": "Example value",
"browserDescription": "Example description",
"userAgent": "Example value",
"remoteIPAddress": "203.0.113.42",
"forwardedFor": "Example value",
"realIP": "Example value",
"lastSignInDate": "2026-03-30T12:00:00.0000000Z",
"location": "Remote site",
"browserGUIDHash": "11111111-2222-3333-4444-555555555555",
"isTrustedBrowser": true,
"creationDate": "2026-03-30T12:00:00.0000000Z"
}
]